// package: bet.beteran.member_game_setting
// file: models/member_game_setting.proto

import * as jspb from 'google-protobuf';

export class MemberGameSetting extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getMemberId(): string;
  setMemberId(value: string): void;

  getCanBetCasino(): boolean;
  setCanBetCasino(value: boolean): void;

  getCanBetSlot(): boolean;
  setCanBetSlot(value: boolean): void;

  getCanBetPowerball(): boolean;
  setCanBetPowerball(value: boolean): void;

  getCanBetPowerladder(): boolean;
  setCanBetPowerladder(value: boolean): void;

  getCanBetEos(): boolean;
  setCanBetEos(value: boolean): void;

  getCanBetBogglepowerball(): boolean;
  setCanBetBogglepowerball(value: boolean): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberGameSetting.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: MemberGameSetting
  ): MemberGameSetting.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: MemberGameSetting,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): MemberGameSetting;
  static deserializeBinaryFromReader(
    message: MemberGameSetting,
    reader: jspb.BinaryReader
  ): MemberGameSetting;
}

export namespace MemberGameSetting {
  export type AsObject = {
    id: string;
    memberId: string;
    canBetCasino: boolean;
    canBetSlot: boolean;
    canBetPowerball: boolean;
    canBetPowerladder: boolean;
    canBetEos: boolean;
    canBetBogglepowerball: boolean;
    createdAt: number;
    updatedAt: number;
  };
}
